/************************************************************

Created: 11:37 AM Fri, 30 Apr 1993
    AETelephony.h
    C Interface to the Apple Event Registry


        Copyright Apple Computer, Inc.    1992-93
        All rights reserved

************************************************************/


#ifndef __AETELEPHONY__
#define __AETELEPHONY__


enum {
	cCallAppearance = 'CA  ',
	cDN = 'DN  ',
	cParty = 'cPty',
	cPhoneNumber = 'cPhn',
	cTerminal = 'TERM',
	enumDNType = 'DNTy',
	enumForwardType = 'FWD ',
	enumInRedirectionType = 'IRTy',
	enumOutRedirectionType = 'ORTy',
	enumRedirectionType = 'RDTy',
	kAEAnswerCall = 'ANSW',
	kAEBusyForwarded = 'BFWD',
	kAEBusyNoAnsForwarded = 'BNAF',
	kAEConference = 'CONF',
	kAEDeflect = 'DFLC',
	kAEDialDigits = 'DIAL',
	kAEDropCall = 'DROP',
	kAEExternalDN = 'DNEx',
	kAEForward = 'FRWD',
	kAEForwarded = 'UFWD'
};
enum {
	kAEHoldCall = 'HOLD',
	kAEInternalDN = 'DNIn',
	kAEInternalOnly = 'DNIo',
	kAEMakeCall = 'CALL',
	kAENoAnsForwarded = 'NFWD',
	kAENotifyDependency = 'Notf',
	kAENotRedirected = 'NRdr',
	kAEPark = 'Prk ',
	kAERedirect = 'REDR',
	kAERegisterDependency = 'REGD',
	kAEReleaseDependency = 'RLED',
	kAETelephonyEvents = 'TELE',
	kAETransfer = 'TRSF',
	kAEUnknown = 'DNUn',
	keyAEAdditionalParty = 'adPy',
	keyAEChangedObject = 'Nfor',
	keyAECountryCode = 'pCCd',
	keyAEDialPlanRules = 'DPRS',
	keyAEDigits = 'DIGS',
	keyAEExtension = 'pExt'
};
enum {
	keyAEForwardType = 'FDTy',
	keyAEHold = 'bHLD',
	keyAENotificationID = 'NfID',
	keyAENotifyee = 'Nfye',
	keyAENotifyProperties = 'NfPr',
	keyAENumRings = 'NmRg',
	keyAEPark = 'bPRK',
	keyAEParkID = 'PKID',
	keyAEParkRetrieveID = 'PRID',
	keyAEProtoCA = 'PRCA',
	keyAERedirectionType = 'RDTy',
	keyAESetForward = 'bFWD',
	keyAESourceDN = 'SDN ',
	keyAESubaddress = 'pSbA',
	keyAESubscriberNumber = 'pSbs',
	keyAETrunkCode = 'pTCd',
	pAnswered = 'ANSW',
	pBusy = 'BUSY',
	pBusyForwardedParty = 'pBFW',
	pCountryCode = 'pCCd'
};
enum {
	pDialPlanRules = 'pDPR',
	pDigitsReceived = 'pDiR',
	pDigitsReceivedCache = 'pDRC',
	pDisplay = 'pDsp',
	pDNType = 'DNTy',
	pDropped = 'DRPD',
	pExtension = 'pExt',
	pForwarded = 'FWD ',
	pForwardedParty = 'FWDP',
	pForwardingParty = 'CFWP',
	pHeld = 'HELD',
	pIncoming = 'CAin',
	pInRedirected = 'pIRR',
	pInRedirectedParty = 'pIRP',
	pNoAnsForwardedParty = 'pNFW',
	pOtherParty = 'Prty',
	pOutRedirected = 'pORR',
	pOutRedirectedParty = 'pORP',
	pParked = 'pKRT',
	pParkRetrieved = 'pKRR'
};
enum {
	pParty = 'pPTY',
	pPickedUp = 'PKUP',
	pSubaddress = 'pSbA',
	pSubscriberNumber = 'pSbs',
	pTrunkCode = 'pTCd',
	typeParty = 'cPty',
	typePhoneNumber = 'cPhn'
};


#endif